/***************************************************************************//**
 * @file
 * @brief EFP Driver Instances
 *******************************************************************************
 * # License
 * <b>Copyright 2021 Silicon Laboratories Inc. www.silabs.com</b>
 *******************************************************************************
 *
 * SPDX-License-Identifier: Zlib
 *
 * The licensor of this software is Silicon Laboratories Inc.
 *
 * This software is provided 'as-is', without any express or implied
 * warranty. In no event will the authors be held liable for any damages
 * arising from the use of this software.
 *
 * Permission is granted to anyone to use this software for any purpose,
 * including commercial applications, and to alter it and redistribute it
 * freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 *    claim that you wrote the original software. If you use this software
 *    in a product, an acknowledgment in the product documentation would be
 *    appreciated but is not required.
 * 2. Altered source versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 * 3. This notice may not be removed or altered from any source distribution.
 *
 ******************************************************************************/

#ifndef SL_EFP_INSTANCES_H
#define SL_EFP_INSTANCES_H

#include "sl_efp.h"

{% for inst in efp_instances -%}
#include "sl_efp_{{ inst | lower }}_config.h"
#if SL_EFP_{{ inst | upper }}_ADD_EFP_CALC
#include "sl_efpdrv_calc.h"
#endif

extern sl_efp_init_data_t sl_efp_{{ inst | lower }}_init;
extern sl_efp_handle_t sl_efp_{{ inst | lower }};
{% endfor %}

void sl_efp_init_instances(void);

#endif // SL_EFP_INSTANCES_H
